ubuntuusers.de

Titel:
E: Sub-process /usr/bin/dpkg returned a
Autor:
ljubinski
Datum:
1. August 2017 12:16
Aktionen:
Code:
  1
  2
  3
  4
  5
  6
  7
  8
  9
 10
 11
 12
 13
 14
 15
 16
 17
 18
 19
 20
 21
 22
 23
 24
 25
 26
 27
 28
 29
 30
 31
 32
 33
 34
 35
 36
 37
 38
 39
 40
 41
 42
 43
 44
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
apt-cache policy
Package files:
 100 /var/lib/dpkg/status
     release a=now
 500 http://archive.canonical.com/ubuntu xenial/partner i386 Packages
     release v=16.04,o=Canonical,a=xenial,n=xenial,l=Partner archive,c=partner,b=i386
     origin archive.canonical.com
 500 http://ppa.launchpad.net/wine/wine-builds/ubuntu xenial/main i386 Packages
     release v=16.04,o=LP-PPA-wine-wine-builds,a=xenial,n=xenial,l=Official Wine builds,c=main,b=i386
     origin ppa.launchpad.net
 500 http://deb.opera.com/opera stable/non-free i386 Packages
     release o=Opera Software ASA,a=stable,n=stable,l=The Opera web browser,c=non-free,b=i386
     origin deb.opera.com
 500 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu xenial/main i386 Packages
     release v=16.04,o=LP-PPA-nilarimogard-webupd8,a=xenial,n=xenial,l=WebUpd8,c=main,b=i386
     origin ppa.launchpad.net
 500 http://ppa.launchpad.net/forkotov02/ppa/ubuntu xenial/main i386 Packages
     release v=16.04,o=LP-PPA-forkotov02,a=xenial,n=xenial,l=qmmp-releases,c=main,b=i386
     origin ppa.launchpad.net
 500 http://repository.spotify.com stable/non-free i386 Packages
     release v=0.4,o=Spotify LTD,a=stable,n=stable,l=Spotify Public Repository,c=non-free,b=i386
     origin repository.spotify.com
 500 http://security.ubuntu.com/ubuntu xenial-security/multiverse i386 Packages
     release v=16.04,o=Ubuntu,a=xenial-security,n=xenial,l=Ubuntu,c=multiverse,b=i386
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages
     release v=16.04,o=Ubuntu,a=xenial-security,n=xenial,l=Ubuntu,c=universe,b=i386
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu xenial-security/restricted i386 Packages
     release v=16.04,o=Ubuntu,a=xenial-security,n=xenial,l=Ubuntu,c=restricted,b=i386
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages
     release v=16.04,o=Ubuntu,a=xenial-security,n=xenial,l=Ubuntu,c=main,b=i386
     origin security.ubuntu.com
 100 http://de.archive.ubuntu.com/ubuntu xenial-backports/universe i386 Packages
     release v=16.04,o=Ubuntu,a=xenial-backports,n=xenial,l=Ubuntu,c=universe,b=i386
     origin de.archive.ubuntu.com
 100 http://de.archive.ubuntu.com/ubuntu xenial-backports/main i386 Packages
     release v=16.04,o=Ubuntu,a=xenial-backports,n=xenial,l=Ubuntu,c=main,b=i386
     origin de.archive.ubuntu.com
 500 http://de.archive.ubuntu.com/ubuntu xenial-updates/multiverse i386 Packages
     release v=16.04,o=Ubuntu,a=xenial-updates,n=xenial,l=Ubuntu,c=multiverse,b=i386
     origin de.archive.ubuntu.com
 500 http://de.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages
     release v=16.04,o=Ubuntu,a=xenial-updates,n=xenial,l=Ubuntu,c=universe,b=i386
     origin de.archive.ubuntu.com
 500 http://de.archive.ubuntu.com/ubuntu xenial-updates/restricted i386 Packages
     release v=16.04,o=Ubuntu,a=xenial-updates,n=xenial,l=Ubuntu,c=restricted,b=i386
     origin de.archive.ubuntu.com
 500 http://de.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages
     release v=16.04,o=Ubuntu,a=xenial-updates,n=xenial,l=Ubuntu,c=main,b=i386
     origin de.archive.ubuntu.com
 500 http://de.archive.ubuntu.com/ubuntu xenial/multiverse i386 Packages
     release v=16.04,o=Ubuntu,a=xenial,n=xenial,l=Ubuntu,c=multiverse,b=i386
     origin de.archive.ubuntu.com
 500 http://de.archive.ubuntu.com/ubuntu xenial/universe i386 Packages
     release v=16.04,o=Ubuntu,a=xenial,n=xenial,l=Ubuntu,c=universe,b=i386
     origin de.archive.ubuntu.com
 500 http://de.archive.ubuntu.com/ubuntu xenial/restricted i386 Packages
     release v=16.04,o=Ubuntu,a=xenial,n=xenial,l=Ubuntu,c=restricted,b=i386
     origin de.archive.ubuntu.com
 500 http://de.archive.ubuntu.com/ubuntu xenial/main i386 Packages
     release v=16.04,o=Ubuntu,a=xenial,n=xenial,l=Ubuntu,c=main,b=i386
     origin de.archive.ubuntu.com
Pinned packages:

__________________________
apt-get update

W: chmod 0700 of directory /var/lib/apt/lists/partial failed - SetupAPTPartialDirectory (1: Operation not permitted)
E: Could not open lock file /var/lib/apt/lists/lock - open (13: Permission denied)
E: Unable to lock directory /var/lib/apt/lists/
W: Problem unlinking the file /var/cache/apt/pkgcache.bin - RemoveCaches (13: Permission denied)
W: Problem unlinking the file /var/cache/apt/srcpkgcache.bin - RemoveCaches (13: Permission denied)
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
ljubo@ljubo:~$ sudo apt-get update
[sudo] password for ljubo: 
Hit:1 http://de.archive.ubuntu.com/ubuntu xenial InRelease
Hit:3 http://ppa.launchpad.net/forkotov02/ppa/ubuntu xenial InRelease          
Hit:4 http://archive.canonical.com/ubuntu xenial InRelease                     
Hit:5 http://de.archive.ubuntu.com/ubuntu xenial-updates InRelease             
Get:2 http://deb.opera.com/opera stable InRelease [2.592 B]                    
Hit:6 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu xenial InRelease    
Hit:7 http://de.archive.ubuntu.com/ubuntu xenial-backports InRelease           
Hit:8 http://ppa.launchpad.net/wine/wine-builds/ubuntu xenial InRelease        
Hit:9 http://repository.spotify.com stable InRelease                           
Get:10 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Err:2 http://deb.opera.com/opera stable InRelease              
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY D615560BA5C7FF72
Fetched 105 kB in 1s (79,0 kB/s)
Reading package lists... Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://deb.opera.com/opera stable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY D615560BA5C7FF72
W: Failed to fetch http://deb.opera.com/opera/dists/stable/InRelease  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY D615560BA5C7FF72
W: Some index files failed to download. They have been ignored, or old ones used instead.

______________________
dpkg --configure -a

Setting up linux-image-4.4.0-72-generic (4.4.0-72.93) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-72-generic /boot/vmlinuz-4.4.0-72-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-72-generic /boot/vmlinuz-4.4.0-72-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-72-generic

gzip: stdout: No space left on device
E: mkinitramfs failure find 141 cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-72-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.4.0-72-generic.postinst line 1052.
dpkg: error processing package linux-image-4.4.0-72-generic (--configure):
subprocess installed post-installation script returned error exit status 2
Setting up linux-headers-4.4.0-87 (4.4.0-87.110) ...
dpkg: dependency problems prevent configuration of linux-image-extra-4.4.0-83-generic:
linux-image-extra-4.4.0-83-generic depends on linux-image-4.4.0-83-generic; however:
Package linux-image-4.4.0-83-generic is not installed.

dpkg: error processing package linux-image-extra-4.4.0-83-generic (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-image-extra-4.4.0-72-generic:
linux-image-extra-4.4.0-72-generic depends on linux-image-4.4.0-72-generic; however:
Package linux-image-4.4.0-72-generic is not configured yet.

dpkg: error processing package linux-image-extra-4.4.0-72-generic (--configure):
dependency problems - leaving unconfigured
Setting up linux-image-4.4.0-66-generic (4.4.0-66.87) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
The link /initrd.img is a dangling linkto /boot/initrd.img-4.4.0-72-generic
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-66-generic /boot/vmlinuz-4.4.0-66-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-66-generic /boot/vmlinuz-4.4.0-66-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-66-generic

gzip: stdout: No space left on device
E: mkinitramfs failure find 141 cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-66-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.4.0-66-generic.postinst line 1052.
dpkg: error processing package linux-image-4.4.0-66-generic (--configure):
subprocess installed post-installation script returned error exit status 2
Setting up linux-headers-4.4.0-78 (4.4.0-78.99) ...
Setting up linux-headers-4.4.0-78-generic (4.4.0-78.99) ...
Setting up linux-headers-4.4.0-87-generic (4.4.0-87.110) ...
dpkg: dependency problems prevent configuration of linux-image-extra-4.4.0-78-generic:
linux-image-extra-4.4.0-78-generic depends on linux-image-4.4.0-78-generic; however:
Package linux-image-4.4.0-78-generic is not installed.

dpkg: error processing package linux-image-extra-4.4.0-78-generic (--configure):
dependency problems - leaving unconfigured
Setting up linux-image-4.4.0-75-generic (4.4.0-75.96) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
The link /initrd.img is a dangling linkto /boot/initrd.img-4.4.0-66-generic
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-75-generic /boot/vmlinuz-4.4.0-75-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-75-generic /boot/vmlinuz-4.4.0-75-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-75-generic

gzip: stdout: No space left on device
E: mkinitramfs failure find 141 cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-75-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.4.0-75-generic.postinst line 1052.
dpkg: error processing package linux-image-4.4.0-75-generic (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-generic:
linux-image-generic depends on linux-image-4.4.0-87-generic; however:
Package linux-image-4.4.0-87-generic is not installed.

dpkg: error processing package linux-image-generic (--configure):
dependency problems - leaving unconfigured
Setting up linux-headers-4.4.0-83 (4.4.0-83.106) ...
dpkg: dependency problems prevent configuration of linux-image-extra-4.4.0-87-generic:
linux-image-extra-4.4.0-87-generic depends on linux-image-4.4.0-87-generic; however:
Package linux-image-4.4.0-87-generic is not installed.

dpkg: error processing package linux-image-extra-4.4.0-87-generic (--configure):
dependency problems - leaving unconfigured
Setting up linux-headers-generic (4.4.0.87.93) ...
dpkg: dependency problems prevent configuration of linux-image-extra-4.4.0-75-generic:
linux-image-extra-4.4.0-75-generic depends on linux-image-4.4.0-75-generic; however:
Package linux-image-4.4.0-75-generic is not configured yet.

dpkg: error processing package linux-image-extra-4.4.0-75-generic (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-image-extra-4.4.0-66-generic:
linux-image-extra-4.4.0-66-generic depends on linux-image-4.4.0-66-generic; however:
Package linux-image-4.4.0-66-generic is not configured yet.

dpkg: error processing package linux-image-extra-4.4.0-66-generic (--configure):
dependency problems - leaving unconfigured
Setting up linux-headers-4.4.0-83-generic (4.4.0-83.106) ...
dpkg: dependency problems prevent configuration of linux-generic:
linux-generic depends on linux-image-generic (= 4.4.0.87.93); however:
Package linux-image-generic is not configured yet.

dpkg: error processing package linux-generic (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
linux-image-4.4.0-72-generic
linux-image-extra-4.4.0-83-generic
linux-image-extra-4.4.0-72-generic
linux-image-4.4.0-66-generic
linux-image-extra-4.4.0-78-generic
linux-image-4.4.0-75-generic
linux-image-generic
linux-image-extra-4.4.0-87-generic
linux-image-extra-4.4.0-75-generic
linux-image-extra-4.4.0-66-generic
linux-generic 
__________________________
apt-get -f install

Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
aften fonts-horai-umefont fonts-unfonts-core fonts-wqy-microhei
gnome-exe-thumbnailer gpac gpac-modules-base icoutils lame
libboost-regex1.58.0 libfreenect0.5 libgpac4 liblept5 liboggz2 libogmrip1
libopenjp2-7 libtesseract3 linux-headers-4.4.0-21
linux-headers-4.4.0-21-generic linux-headers-4.4.0-36
linux-headers-4.4.0-36-generic linux-headers-4.4.0-38
linux-headers-4.4.0-38-generic linux-headers-4.4.0-45
linux-headers-4.4.0-45-generic linux-headers-4.4.0-51
linux-headers-4.4.0-51-generic linux-headers-4.4.0-57
linux-headers-4.4.0-57-generic linux-headers-4.4.0-59
linux-headers-4.4.0-59-generic linux-headers-4.4.0-62
linux-headers-4.4.0-62-generic linux-headers-4.4.0-66
linux-headers-4.4.0-66-generic linux-headers-4.4.0-78
linux-headers-4.4.0-78-generic linux-headers-4.4.0-83
linux-headers-4.4.0-83-generic linux-image-4.4.0-21-generic
linux-image-4.4.0-36-generic linux-image-4.4.0-38-generic
linux-image-4.4.0-45-generic linux-image-4.4.0-51-generic
linux-image-4.4.0-57-generic linux-image-4.4.0-59-generic
linux-image-4.4.0-62-generic linux-image-4.4.0-66-generic
linux-image-4.4.0-78-generic linux-image-4.4.0-83-generic
linux-image-extra-4.4.0-21-generic linux-image-extra-4.4.0-36-generic
linux-image-extra-4.4.0-38-generic linux-image-extra-4.4.0-45-generic
linux-image-extra-4.4.0-51-generic linux-image-extra-4.4.0-57-generic
linux-image-extra-4.4.0-59-generic linux-image-extra-4.4.0-62-generic
linux-image-extra-4.4.0-66-generic linux-image-extra-4.4.0-78-generic
linux-image-extra-4.4.0-83-generic mkvtoolnix odbcinst odbcinst1debian2
oggz-tools ogmrip-dirac ogmrip-doc ogmrip-oggz ogmrip-plugins p7zip
tesseract-ocr tesseract-ocr-eng tesseract-ocr-equ tesseract-ocr-osd
ttf-wqy-microhei unixodbc wine-gecko2.21 wine-mono0.0.8 winetricks
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
linux-image-4.4.0-78-generic linux-image-4.4.0-83-generic
linux-image-4.4.0-87-generic
Suggested packages:
fdutils linux-doc-4.4.0 | linux-source-4.4.0 linux-tools
The following NEW packages will be installed:
linux-image-4.4.0-78-generic linux-image-4.4.0-83-generic
linux-image-4.4.0-87-generic
0 upgraded, 3 newly installed, 0 to remove and 373 not upgraded.
11 not fully installed or removed.
Need to get 0 B/61,6 MB of archives.
After this operation, 146 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 619711 files and directories currently installed.)
Preparing to unpack .../linux-image-4.4.0-87-generic_4.4.0-87.110_i386.deb ...
Done.
Unpacking linux-image-4.4.0-87-generic (4.4.0-87.110) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-4.4.0-87-generic_4.4.0-87.110_i386.deb (--unpack):
cannot copy extracted data for './boot/vmlinuz-4.4.0-87-generic' to '/boot/vmlinuz-4.4.0-87-generic.dpkg-new': failed to write (No space left on device)
No apport report written because the error message indicates a disk full error
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-87-generic /boot/vmlinuz-4.4.0-87-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-87-generic /boot/vmlinuz-4.4.0-87-generic
The link /initrd.img is a damaged link
Removing symbolic link initrd.img
you may need to re-run your boot loader[grub]
The link /initrd.img.old is a damaged link
Removing symbolic link initrd.img.old
you may need to re-run your boot loader[grub]
Preparing to unpack .../linux-image-4.4.0-78-generic_4.4.0-78.99_i386.deb ...
Done.
Unpacking linux-image-4.4.0-78-generic (4.4.0-78.99) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-4.4.0-78-generic_4.4.0-78.99_i386.deb (--unpack):
cannot copy extracted data for './boot/vmlinuz-4.4.0-78-generic' to '/boot/vmlinuz-4.4.0-78-generic.dpkg-new': failed to write (No space left on device)
No apport report written because the error message indicates a disk full error
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-78-generic /boot/vmlinuz-4.4.0-78-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-78-generic /boot/vmlinuz-4.4.0-78-generic
Preparing to unpack .../linux-image-4.4.0-83-generic_4.4.0-83.106_i386.deb ...
Done.
Unpacking linux-image-4.4.0-83-generic (4.4.0-83.106) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-4.4.0-83-generic_4.4.0-83.106_i386.deb (--unpack):
cannot copy extracted data for './boot/vmlinuz-4.4.0-83-generic' to '/boot/vmlinuz-4.4.0-83-generic.dpkg-new': failed to write (No space left on device)
No apport report written because the error message indicates a disk full error
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-83-generic /boot/vmlinuz-4.4.0-83-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-83-generic /boot/vmlinuz-4.4.0-83-generic
Errors were encountered while processing:
/var/cache/apt/archives/linux-image-4.4.0-87-generic_4.4.0-87.110_i386.deb
/var/cache/apt/archives/linux-image-4.4.0-78-generic_4.4.0-78.99_i386.deb
/var/cache/apt/archives/linux-image-4.4.0-83-generic_4.4.0-83.106_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1) 
______________________________

apt-get upgrade

Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 linux-image-extra-4.4.0-78-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
 linux-image-extra-4.4.0-83-generic : Depends: linux-image-4.4.0-83-generic but it is not installed
 linux-image-extra-4.4.0-87-generic : Depends: linux-image-4.4.0-87-generic but it is not installed
 linux-image-generic : Depends: linux-image-4.4.0-87-generic but it is not installed
E: Unmet dependencies. Try using -f.